//
// Created by daniel on 26.5.20.
//

#ifndef PROGRAM_FILEMANAGER_H
#define PROGRAM_FILEMANAGER_H

#include <iostream>
#include <fstream>
#include <vector>
#include <string>

#include "../../structure/model.h"

class FileManager {
public:
    FileManager();
    ~FileManager();
    Model * GetModel(size_t modelIndex);
    bool Read(const std::string &fileName);
    void Print() const;
    bool Process(std::ifstream & data);

private:
    std::vector<Model*> m_Models;
};


#endif //PROGRAM_FILEMANAGER_H
