//
// Created by daniel on 23.7.20.
//

#ifndef SCAN_GENERATOR_LOADER_H
#define SCAN_GENERATOR_LOADER_H

#include <iostream>
#include <vector>
#include <string>

#include "../../global/blif/filemanager/filemanager.h"
#include "../../global/blif/generator/generator.h"


class Loader {
public:
    Loader(int argc, char * argv[]);
    virtual bool SetInput();
    virtual bool SetParam();
    virtual bool SetOutput();
    virtual bool Generate();

protected:
    std::string m_FileInput;
    std::string m_FileOutput;
    size_t m_ScanValue;
    Generator::ScanChainsGenerateMode m_Mode;
    bool m_Random;
    Generator m_Generator;
    std::vector<std::string> m_Inputs;
    std::vector<std::string> m_Commands;
};

#endif //SCAN_GENERATOR_LOADER_H
