//
// Created by daniel on 23.7.20.
//

#include "scanchain.h"

ScanChain::ScanChain()
{
}

void ScanChain::AddCell(const std::string & name) {
    if (name!="")
        m_ScanCells.push_back(name);
}

std::vector<std::string> ScanChain::GetScanCells() const {
    return m_ScanCells;
}

std::ostream & operator << (std::ostream &os, const ScanChain &scanChain) {
    for(auto const & cell : scanChain.m_ScanCells)
        os << cell << "->";
    return os;
}
